Bug 192021 - xorg-x11-server fails to build using mock
xorg-x11-server fails to build using mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 17:29 EDT by Alexander Täschner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 10:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log of mock (15.68 KB, text/plain)
2006-05-16 17:29 EDT, Alexander Täschner
no flags Details
build.log of sucessful build (2.83 MB, text/plain)
2006-05-16 18:30 EDT, Alexander Täschner
no flags Details

  None (edit)
Description Alexander Täschner 2006-05-16 17:29:48 EDT
Created attachment 129270 [details]
build.log of mock
Comment 1 Alexander Täschner 2006-05-16 17:29:48 EDT
Building the SRPM
http://download.fedora.redhat.com/pub/fedora/linux/core/5/source/SRPMS/xorg-x11-server-1.0.1-8.src.rpm
using mock fails.

Attached is the build.log.
Comment 2 Alexander Täschner 2006-05-16 18:30:46 EDT
Created attachment 129276 [details]
build.log of sucessful build

Adding the line

BuildRequires: freetype-devel

to xorg-x11-server.spec solves the build problem.

Attached is the build.log.
Comment 3 Mike A. Harris 2006-05-23 10:07:47 EDT
Fixed in 1.0.99.903-2 and later.

Note You need to log in before you can comment on or make changes to this bug.